:root {
  --body-color: #000;
  --light-grey: #fff;
  --info: #dcdefc;
  --primary: #727cf5;
  --primary-hover: #535ed7;
  --success: #0acf97;
  --success-hover: #01805c;
  --danger: #fa5c7c;
  --danger-hover: #d53a5a;
}

html,
body {
  height: 100%;
  overflow: hidden;
  color: var(--body-color);
  font-size: 14px;
}

body {
  font-family: "Nunito", sans-serif;
}

img {
  max-width: 100%;
  height: auto;
}

a {
  color: var(--body-color);
  transition: all linear 0.2s;
  text-decoration: none;
}

a:hover,
a:focus {
  text-decoration: none;
  outline: 0;
  color: #444;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
}

.container {
  max-width: 98%;
}

.green_text {
  color: var(--success);
}

.red_text {
  color: var(--danger);
}

.btn {
  height: auto;
  -webkit-border-radius: 4px;
  border-radius: 4px;
}

.bg-primary {
  background-color: var(--primary) !important;
}

.bg-success {
  background-color: var(--success) !important;
}

.bg-info {
  background-color: var(--info) !important;
  color: var(--primary-hover) !important;
}

.text-primary {
  color: var(--primary) !important;
}

.text-success {
  color: var(--success) !important;
}

.text-info {
  color: var(--info) !important;
}

.font-16 {
  font-size: 16px !important;
}

.font-15 {
  font-size: 15px !important;
}

.font-14 {
  font-size: 14px !important;
}

.font-13 {
  font-size: 13px !important;
}

.fw-semibold {
  font-weight: 600 !important;
}

.btn-primary {
  background-color: var(--primary);
  border-color: var(--primary);
}

.btn-primary:hover {
  background-color: var(--primary-hover);
  border-color: var(--primary-hover);
}

.btn-danger {
  background-color: var(--danger);
  border-color: var(--danger);
}

.btn-danger:hover {
  background-color: var(--danger-hover);
  border-color: var(--danger-hover);
}

.btn-secondary {
  background-color: var(--body-color);
  border-color: var(--body-color);
}

.btn-secondary:hover {
  background-color: var(--body-color);
  border-color: var(--body-color);
}

.btn-outline-secondary {
  color: var(--body-color);
  border-color: var(--body-color);
}

.btn-outline-secondary:hover {
  color: #fff;
  background-color: var(--body-color);
  border-color: var(--body-color);
}


.btn:focus,
.form-control:focus {
  box-shadow: none;
}

.btn_styled {
  padding: 12px 30px;
  font-size: 16px;
}

.dropdown-menu {
  padding: 10px 0;
  overflow: hidden;
  border: 0;
  -webkit-border-radius: 2px;
  border-radius: 2px;
  -webkit-box-shadow: rgba(0, 0, 0, 0.1) 0 0 5px;
  box-shadow: rgba(0, 0, 0, 0.1) 0 0 5px;
}

.dropdown-menu ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.dropdown-menu li,
.dropdown-menu ul li {
  display: block;
  margin: 0;
}

.dropdown-menu li a,
.dropdown-menu ul li a {
  padding: 5px 20px;
}

.dropdown-item i {
  font-size: 20px;
  line-height: 1;
  position: relative;
  top: 2px;
  margin-right: 5px;
}

.dropdown_small_heading {
  padding: 0 10px 4px 20px;
  margin: 0;
  font-size: 13px;
}

.profile_dropdown .dropdown-menu {
  top: 100% !important;
  border: 0 !important;
  margin-top: -19px !important;
  width: 153px;
}

.card {
  border-color: #e4e4e4;
  border-radius: 4px;
  overflow: hidden;
  margin: 0 0 20px;
  -webkit-box-shadow: rgba(0, 0, 0, 0.1) 0 0 10px;
  box-shadow: rgba(0, 0, 0, 0.1) 0 0 10px;
}

.card-header {
  padding: 15px;
  border-color: #e4e4e4;
  background: #fff;
}

.card-header h5 {
  margin: 0;
}

.card-body {
  padding: 35px;
}

table {
  font-size: 13px;
}

.table-lg.table>:not(caption)>*>* {
  padding: 10px 20px;
}

table thead th {
  font-weight: 700;
  text-transform: uppercase;
}

.form-check label {
  padding-left: 5px;
}

.form-check-input {
  width: 16px;
  height: 16px;
  top: -1px;
  position: relative;
}

.form-check-input:focus {
  box-shadow: none;
}

.accordion-item .accordion-button:focus {
  box-shadow: none;
}

.accordion-button::after {
  height: 20px;
  width: 20px;
  background-size: 20px;
}

.accordion-button:not(.collapsed) {
  background: var(--primary);
  color: #fff;
}

.accordion-button:not(.collapsed)::after {
  background: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>");
}

.custom_tabs .nav-tabs {
  border: 0;
}

.custom_tabs .nav-tabs .nav-item {
  margin-right: 8px;
}

.custom_tabs .nav-tabs .nav-item:last-child {
  margin: 0;
}

.custom_tabs .nav-tabs .nav-link {
  border: 0;
  background: #ddd;
  color: #000 !important;
  border-radius: 6px;
}

.custom_tabs .nav-tabs .nav-item.show .nav-link,
.custom_tabs .nav-tabs .nav-link.active {
  background: var(--primary);
  color: #fff !important;
}

.custom_tabs .tab-content {
  padding: 20px 10px;
}

.form-group {
  margin: 0 0 20px;
  position: relative;
}

.app_wrapper {
  height: 100vh;
}

.sidepanel {
  position: fixed;
  width: 250px;
  left: 0;
  top: 0;
  bottom: 0;
  border-right: 1px solid #ddd;
  overflow-y: auto;
  padding-bottom: 50px;
  scrollbar-width: none;
  transition: all linear 0.2s;
  background: var(--body-color);
}

.sidepanel::-webkit-scrollbar {
  display: none;
}

.sidepanel_header {
  padding: 22px;
  background: var(--body-color);
  color: #fff;
  text-align: center;
}

.logo {
  font-size: 18px;
  font-weight: 600;
}

.sidepanel_body {
  padding: 0 15px;
}

.sidepanel_body ul {
  padding: 0;
  margin: 0;
  list-style: none;
  position: relative;
}

.sidepanel_body ul li a {
  padding: 10px 10px 10px 33px;
  color: #fff;
  background: var(--body-color);
  display: block;
  font-size: 14px;
  position: relative;
}

.sidepanel_body ul li a:focus {
  outline: 0 !important;
  border: 0 !important;
}

.sidepanel_body ul li a:hover,
.sidepanel_body ul li a.active {
  color: #bccee4;
}

.sidepanel_body ul li a i {
  font-size: 25px;
  position: absolute;
  top: 8px;
  left: 0;
}

.sidepanel_body ul li.hassub a {
  position: relative;
}

.sidepanel_body ul li.hassub a:before {
  position: absolute;
  right: 5px;
  top: 13px;
  line-height: 18px;
  font-size: 20px;
  content: "\f107";
  font-family: FontAwesome;
  -webkit-transform: rotate(-90deg);
  transform: rotate(-90deg);
}

.sidepanel_body ul li.hassub a.active:before {
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
}

ul.sidebar_menu li ul.sub-menu {
  display: none;
  padding: 0;
  margin: 0;
  margin-bottom: 10px;
}

ul.sidebar_menu li ul.sub-menu li a {
  position: relative;
  padding: 7px 15px 7px 32px;
  font-size: 14px;
  border: 0;
}

ul.sidebar_menu li ul.sub-menu li a:before {
  display: none;
}

ul.sidebar_menu li ul.sub-menu li ul.subchildmenu {
  display: none;
}

ul.sidebar_menu li ul.sub-menu li a.childmenu {
  position: relative;
}

ul.sidebar_menu li ul.sub-menu li a.childmenu:after {
  position: absolute;
  right: 15px;
  top: 5px;
  font-size: 18px;
  content: "\f107";
  font-family: FontAwesome;
  -webkit-transform: rotate(-90deg);
  transform: rotate(-90deg);
}

ul.sidebar_menu li ul.sub-menu li a.childmenu.active:after {
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
}

.sidepanel.hide {
  transform: translateX(-70%);
}

ul.sidebar_menu li ul.sub-menu li ul li a {
  padding: 7px 15px 7px 32px;
}

ul.sidebar_menu li ul.sub-menu li ul li a:before {
  left: 25px;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
}

.body_wrapper {
  margin: 70px 0 0 250px;
  overflow: auto;
  height: 100%;
  background: #f8f9fc;
  padding-bottom: 50px;
  transition: all linear 0.2s;
}

.body_wrapper.full {
  margin-left: 58px;
}


.sidepanel.hide {
  transform: translateX(0%);
  width: 58px;
  overflow-y: visible;
  z-index: 999;
}

.sidepanel.hide ul li.hassub a:before {
  top: 15px;
  display: none;
}

.sidepanel.hide ul li {
  position: relative;
}

.sidepanel.hide ul li a {
  padding-left: 0;
  padding-right: 0;
}

.sidepanel.hide ul li:hover>a {
  background-color: #727cf5;
  color: #fff;
  width: 292px !important;
  display: block;
  -webkit-transition: all linear 0s 0;
  transition: all linear 0s 0;
}

.sidepanel.hide ul li:hover li a {
  background-color: transparent !important;
  width: auto !important;
}

.sidepanel.hide ul li a span {
  display: none;
}

.sidepanel.hide ul li:hover>a span {
  display: inline-block !important;
  top: -4px;
  position: relative;
}

.sidepanel.hide ul li a i {
  position: relative;
  left: 0;
  top: 0;
}

.sidepanel.hide ul li:hover>a i {
  left: 0;
  margin-left: 15px;
  margin-right: 27px;
}

.sidepanel.hide ul li:hover {
  margin-left: -15px;
}

.sidepanel.hide ul li.hassub:hover a::before {
  display: inline-block;
  right: 16px;
}

.sidepanel.hide ul li.hassub:hover li a::before {
  display: none;
}

.sidepanel.hide ul li>a span.badge {
  top: 4px !important;
  right: 10px;
}

.sidepanel.hide ul li li>a span.badge {
  top: 0 !important;
  right: 0;
  display: inline-block !important;
}

.sidepanel.hide ul li li:hover {
  margin-left: 0;
}

.start_58 {
  left: 58px !important;
}

.sidepanel.hide .sidepanel_header small.d-block {
  display: none !important;
}

.sidepanel.hide .logo_small img {
  max-width: 26px;
  left: -7px;
  position: relative;
}

.sidepanel.hide .sidepanel_body ul li ul {
  visibility: hidden;
}

.sidepanel.hide .sidepanel_body ul li:hover ul {
  z-index: 9999;
  top: 100%;
  width: 250px !important;
  padding: 5px 0 10px !important;
  background: var(--body-color);
  visibility: visible;
}

.sidepanel.hide .sidepanel_body ul ul {
  position: absolute;
  left: 100%;
}

.sidepanel.hide .sidepanel_body ul ul ul {
  position: absolute;
  left: 100%;
  top: 0 !important;
}


.header_wrapper {
  padding: 10px 30px;
  border-bottom: 1px solid #ddd;
  border-left: 0;
  position: fixed;
  top: 0;
  left: 250px;
  right: 0;
  z-index: 1;
  background: #fff;
  transition: all linear 0.2s;
}

.body_contents {
  padding: 25px;
}

ul.top_left {
  padding: 0;
  margin: 0;
  list-style: none;
}

ul.top_left li {
  display: inline-block;
  vertical-align: middle;
  margin-right: 15px;
  font-weight: 600;
}

ul.top_left li a {
  font-size: 34px;
}

ul.top_right {
  padding: 0;
  margin: 0;
  list-style: none;
}

ul.top_right>li {
  display: inline-block;
  margin-right: 22px;
  vertical-align: middle;
  position: relative;
}

ul.top_right li:last-child {
  margin-right: 0;
}

ul.top_right>li>a i {
  font-size: 24px;
  line-height: 1;
}

ul.top_right>li .notification_toggler {
  position: relative;
}

ul.top_right>li .notification_toggler .notification_ballon {
  position: absolute;
  top: -12px;
  left: -5px;
  width: 18px;
  height: 18px;
  line-height: 18px;
  text-align: center;
  color: #fff;
  font-weight: 500;
  font-size: 11px;
  border-radius: 50%;
  background: var(--success);
}

.notification_panel {
  position: absolute;
  background: #fff;
  right: 0;
  top: 168%;
  width: 100%;
  min-width: 250px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.notification_panel ul {
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: left;
}

.notification_panel ul li a {
  color: #000;
  border-bottom: 1px solid #ddd;
  padding: 10px 20px;
  display: block;
}

.notification_panel ul li a:hover {
  background: #f6f6f6;
}

.notification_panel ul li span {
  font-weight: 600;
}

.notification_date {
  font-size: 13px;
  color: #999;
}

.profile_dropdown .btn {
  outline: none !important;
  border: 0;
  padding: 0;
}

.profile_dropdown .btn img {
  border-radius: 50%;
  width: 40px;
  margin-right: 8px;
  display: inline-block;
}

.profile_dropdown .short_username {
  background: var(--primary);
  width: 35px;
  height: 35px;
  line-height: 35px;
  text-align: center;
  border-radius: 100%;
  display: inline-block;
  color: #fff;
  font-weight: 600;
  margin-right: 4px;
}

.no_arrow:after {
  display: none;
}

.dashboard_widget {
  background: #fff;
  padding: 20px 15px;
  -webkit-border-radius: 4px;
  border-radius: 4px;
  margin: 0 0 20px;
  position: relative;
  -webkit-box-shadow: rgba(0, 0, 0, 0.1) 0 0 10px;
  box-shadow: rgba(0, 0, 0, 0.1) 0 0 10px;
}

.dashboard_widget p {
  margin-bottom: 0;
}

.dashboard_widget h3 {
  margin-bottom: 15px;
}

.widget_icon {
  width: 54px;
  height: 54px;
  line-height: 54px;
  font-size: 32px;
  background-color: var(--info);
  color: var(--primary-hover);
  -webkit-border-radius: 4px;
  border-radius: 4px;
  text-align: center;
  position: absolute;
  right: 20px;
  top: 20px;
  display: inline-block;
}

.widget_icon i {
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  font-size: 24px;
}

.widget_heading {
  font-size: 15px;
  font-weight: 500;
  text-transform: uppercase;
  margin: 0 0 5px;
}

.widget_count {
  font-size: 25px;
  font-weight: 700;
  line-height: 1;
}

.icons_wrap {
  text-align: center;
}

.icons_wrap h4 {
  background: var(--body-color);
  margin: 0 0 20px;
  color: #fff;
  padding: 15px;
  border-radius: 6px;
}

.icons_wrap i {
  display: block;
  font-size: 45px;
  margin: 0 auto;
}

.icons_wrap span {
  font-size: 12px;
}

.login_image {
  background-size: cover;
  height: 100vh;
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 200px 0 0 200px;
}

.login_contents .logo {
  padding: 20px 0 0 20px;
  font-size: 26px;
  font-weight: 700;
}

.login_contents {
  position: relative;
  height: 100vh;
}

.login_form {
  max-width: 450px;
  width: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.login_form h1 {
  margin: 0 0 35px;
  font-weight: 600;
}

.login_form .form-control {
  min-height: 50px;
  padding-left: 20px;
}

.login_form .btn {
  width: 100%;
  display: block;
}

.forgot_password {
  margin: 0 0 30px;
  text-align: right;
}

.field_icon {
  position: absolute;
  right: 15px;
  top: 40px;
  font-size: 22px;
}

.field_icon .active {
  display: none;
}

.custom_switch {
  vertical-align: middle;
  display: inline-block;
  margin-right: 10px;
}

.custom_switch input {
  position: absolute;
  opacity: 0;
}

.custom_switch label {
  background: #ccc;
  color: #fff;
  width: 40px;
  height: 20px;
  border-radius: 50px;
  position: relative;
  transition: all linear 0.2s;
  cursor: pointer;
}

.custom_switch label:before {
  position: absolute;
  top: 4px;
  left: 4px;
  height: 12px;
  width: 12px;
  border-radius: 100%;
  background: #fff;
  content: "";
  transition: all linear 0.2s;
}

.custom_switch input:checked~label {
  background: #333;
}

.custom_switch input:checked~label::before {
  left: 24px;
}

.primary_switch input:checked~label {
  background: var(--primary);
}

.success_switch input:checked~label {
  background: var(--bs-success);
}

.danger_switch input:checked~label {
  background: var(--bs-danger);
}

.info_switch input:checked~label {
  background: var(--bs-info);
}

.warning_switch input:checked~label {
  background: var(--bs-warning);
}

.icon_switch label {
  width: 50px;
  height: 25px;
}

.icon_switch label i {
  position: absolute;
  top: 6px;
  left: 7px;
}

.icon_switch label .la-times {
  left: inherit;
  right: 6px;
  color: #fff;
}

.icon_switch label:before {
  width: 17px;
  height: 17px;
}

.icon_switch input:checked~label::before {
  left: 28px;
}

.dark_mode .sidepanel {
  border-color: #32465a;
  background: #1d2d3c;
  color: var(--body-color);
}

.dark_mode .sidepanel_header {
  background: #132230;
  color: var(--info);
  border-color: #132230;
}

.dark_mode .sidepanel_body {
  position: relative;
}

.dark_mode .sidepanel_body ul li a {
  color: var(--info);
  border-color: #273b4e;
  background: #1d2d3c;
}

.dark_mode .sidepanel_body ul li a:hover,
.dark_mode .sidepanel_body ul li a.active,
.dark_mode .sidepanel_body ul li a.active:hover {
  color: #fff;
}

.dark_mode .sidepanel_body ul.sidebar_menu li ul.sub-menu li a {
  background: #16232e;
}

.dark_mode .sidepanel_body ul.sidebar_menu li ul.sub-menu li a:hover {
  color: #fff;
}

.dark_mode .sidepanel_body ul.sidebar_menu li ul.sub-menu li ul li a {
  background: #0d151c;
}

.dark_mode .header_wrapper {
  background: #1d2d3c;
  border-color: #1d2d3c;
}

.dark_mode ul.top_left li a {
  color: var(--info);
}

.dark_mode .profile_dropdown .btn {
  color: var(--info);
}

.dark_mode .profile_dropdown .short_username {
  background: var(--primary-hover);
}

.dark_mode ul.top_right>li>a {
  color: var(--info);
}

.dark_mode ul.top_right>li>.btn {
  color: #fff;
}

.dark_mode .body_wrapper {
  background: #343b3f;
}

.dark_mode .body_wrapper {
  position: relative;
}

/* .dark_mode .body_wrapper .container {position: relative;} */
.dark_mode .btn-primary {
  background: var(--primary-hover);
  border-color: var(--primary-hover);
}

.dark_mode .custom_tabs .nav-tabs .nav-item.show .nav-link,
.dark_mode .custom_tabs .nav-tabs .nav-link.active {
  background: var(--primary-hover);
}

.dark_mode .nav-tabs .nav-link,
.dark_mode .nav-pills .nav-link {
  color: var(--primary-hover);
}

.dark_mode .accordion-button:not(.collapsed),
.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  background: var(--primary-hover);
  color: #fff;
}

.dark_mode .primary_switch input:checked~label {
  background: var(--primary-hover);
}


@media(max-width:1300px) {
  .widget_icon {
    display: none;
  }
}

@media(max-width:991px) {
  .body_wrapper {
    margin: 70px 0 0;
  }

  .header_wrapper {
    left: 0;
  }

  ul.top_right>li {
    margin-right: 20px;
  }

  .sidepanel {
    z-index: 10;
    border-right: 0;
  }

  .mobile_menu_close {
    position: absolute;
    top: 10px;
    left: 260px;
    z-index: 11;
  }

  .mobile_menu_close a {
    color: #fff;
    font-size: 35px;
  }

  .black_overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: 9;
  }

  .sidepanel_header {
    position: relative;
  }

  .widget_row {
    margin: 0 -7px;
  }

  .widget_row>[class*=col-] {
    padding: 0 7px;
  }

  .dashboard_widget {
    text-align: center;
    margin: 0 0 14px;
  }

  .login_form {
    padding: 0 20px;
  }

  .login_contents .logo {
    padding: 15px;
    text-align: center;
  }

  .card-body {
    padding: 25px;
  }
}

@media(max-width:580px) {
  .header_wrapper {
    padding: 10px 15px;
  }

  .body_contents {
    padding: 30px 15px 80px;
  }

  .dashboard_widget {
    padding: 15px;
  }

  .widget_heading {
    font-size: 14px;
  }

  .widget_count {
    font-size: 20px;
  }
}

.logo {
  display: block;
}

.logo_small {
  display: none;
}

.language_chooose.selected {
  position: relative;
  text-align: left;
  padding-right: 25px;
}

.language_chooose.selected:before {
  position: absolute;
  right: 0;
  top: 1px;
  line-height: 18px;
  font-size: 20px;
  content: "\f107";
  font-family: FontAwesome;
}

.language_chooose img {
  display: inline-block;
  width: 20px;
  margin-right: 7px;
  position: relative;
  top: -1px
}

.choose_language_list {
  background-color: #fff;
  border: #eee solid 1px;
  -webkit-border-radius: 2px;
  border-radius: 2px;
  position: absolute;
  right: 0;
  top: 173%;
  width: 172px;
  display: none;
  list-style: none;
  padding: 0;
  margin: 0;
}

.choose_language_list li {
  display: block;
  text-align: left;
}

.choose_language_list li:first-child {
  padding-top: 5px;
}

.choose_language_list li:last-child {
  padding-bottom: 5px;
}

.choose_language_list li a {
  display: block;
  text-align: left;
  position: relative;
  padding: 8px 20px 8px 50px;
  color: #6c757e;
}

.choose_language_list li a img {
  display: inline-block;
  position: absolute;
  left: 20px;
  top: 12px;
  width: 20px;
}

.choose_language_list li a:hover {
  background-color: #eee;
}

.search_content {
  position: relative;
}

.search_content i {
  position: absolute;
  left: 15px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  color: var(--body-color);
}

.search_content .btn {
  padding: 8px 15px;
  height: auto;
  color: #fff;
  text-align: center;
  display: inline-block;
  -webkit-border-radius: 0 4px 4px 0 !important;
  border-radius: 0 4px 4px 0 !important;
  font-weight: 500;
}

.search_content input[type="text"] {
  background-color: var(--light-grey);
  height: auto;
  padding: 8px 20px 8px 36px;
  -webkit-border-radius: 4px 0 0 4px !important;
  border-radius: 4px 0 0 4px !important;
  border-color: var(--light-grey);
}

.search_content input::placeholder {
  color: rgba(0, 0, 0, 0.5);
}


.max_height {
  max-height: 300px;
  overflow: hidden;
  overflow-y: auto !important;
}

.notification_heading_bar {
  padding: 10px;
  display: block;
  border-bottom: #ccc dashed 1px !important;
  padding-top: 0;
}

.dropdown_item_footer {
  padding: 10px;
  display: block;
  border-top: #ccc dashed 1px !important;
  padding-bottom: 0;
  text-align: center;
}

.notification_list .noti-icon-badge {
  display: inline-block;
  position: absolute;
  top: 0;
  right: 2px;
  border-radius: 50%;
  height: 7px;
  width: 7px;
  background-color: #fa5c7c;
}

.notification_list .notify-item .card-body {
  padding: 14px;
}

.simplebar-content-wrapper {
  direction: inherit;
  -webkit-box-sizing: border-box !important;
  box-sizing: border-box !important;
  position: relative;
  display: block;
  height: 100%;
  width: auto;
  overflow: hidden;
  overflow-y: auto;
  max-width: 100%;
  max-height: 100%;
  scrollbar-width: none;
}

.notification_list .dropdown-toggle::after {
  display: none !important;
}

.notification_list .flex-shrink-0 {
  margin-right: 6px;
}

.notification_list .notify-icon {
  position: relative;
  display: block;
  text-align: center;
  color: #fff;
  text-decoration: none;
  background-color: var(--primary);
  width: 36px;
  height: 36px;
  -webkit-border-radius: 100%;
  border-radius: 100%;
  overflow: hidden;
}

.notification_list .notify-icon i {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  font-size: 16px;
}

.page_title {
  margin-bottom: 20px;
}

.noti_close_btn {
  position: absolute;
  right: 0;
  top: 4px;
}

.notifi_date_heading {
  margin-top: 15px;
  margin-bottom: 6px;
  font-weight: normal;
  font-size: 12px;
  display: block;
}

.noti_item_title {
  margin-bottom: 1px;
  font-weight: 600;
  font-size: 14px;
}

.language_chooose:after {
  display: none;
}

.notification_list .dropdown-menu {
  top: 100% !important;
  margin-top: -7px !important;
}

.choose_language_list {
  top: 100% !important;
  margin-top: 2px !important;
}

.table-striped th {
  font-weight: bold;
  text-transform: inherit !important;
  font-size: 15px;
}

.table-striped>tbody>tr>* {
  font-size: 15px;
  padding: 10px;
}

.dropstart .dropdown-toggle::before {
  display: none;
}

.status_badge {
  padding: 3px 10px;
  -webkit-border-radius: 30px;
  border-radius: 30px;
  display: inline-block;
  color: #fff;
  font-size: 12px;
}

.status_badge i {
  margin-right: 2px;
}

.sent_badge {
  background-color: var(--success);
  color: #fff;
}

.sent_badge i {
  color: var(--success-hover);
}

.draft_badge {
  background-color: #ccc;
  color: #333;
}

.draft_badge i {
  color: #333;
}

.edit_delete_dropdown .dropdown-menu {
  font-size: 13px;
}

.edit_delete_dropdown .dropdown-menu i {
  font-size: 13px;
}

.active>.page-link,
.page-link.active {
  background-color: var(--primary);
  border-color: var(--primary);
}

.page-link {
  font-size: 13px;
}

.breadcrumb-item a {
  color: var(--primary-hover);
}



.wizard,
.wizard .nav-tabs,
.wizard .nav-tabs .nav-item {
  position: relative
}

.wizard .nav-tabs:after {
  content: "";
  width: 80%;
  border-bottom: solid 2px #ccc;
  position: absolute;
  margin-left: auto;
  margin-right: auto;
  top: 38%;
  z-index: -1
}

.wizard .nav-tabs .nav-item {
  text-align: center;
}

.wizard .nav-tabs .nav-item .nav-link {
  width: 70px;
  height: 70px;
  margin-bottom: 6%;
  background: #fff;
  border: 2px solid #ccc;
  color: #ccc;
  z-index: 10;
  font-size: 24px;
}

.wizard .nav-tabs .nav-item .nav-link:hover {
  color: var(--primary-hover);
  border: 2px solid var(--primary-hover)
}

.wizard .nav-tabs .nav-item .nav-link.active {
  background: #fff;
  border: 2px solid var(--primary);
  color: var(--primary)
}

.wizard .nav-tabs .nav-item .nav-link:after {
  content: " ";
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  opacity: 0;
  margin: 0 auto;
  bottom: 0;
  border: 5px solid transparent;
  border-bottom-color: var(--primary);
  transition: .1s ease-in-out
}

.nav-tabs .nav-item .nav-link.active:after {
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  opacity: 1;
  margin: 0 auto;
  bottom: 0;
  border: 10px solid transparent;
  border-bottom-color: var(--primary);
}

.wizard .nav-tabs .nav-item .nav-link svg {
  font-size: 25px
}

.wizard .tab-pane {
  padding-top: 40px;
}

.wizard .form-control,
.wizard .form-select {
  height: auto;
  padding: 8px 15px;
  font-size: 16px;
  -webkit-border-radius: 3px !important;
  border-radius: 3px !important;
}

.wizard .form-control::placeholder {
  color: rgba(0, 0, 0, 0.5) !important;
}

.wizard .form-select option,
.wizard .form-select option.selected {
  color: rgba(0, 0, 0, 0.5) !important;
}

.custom_tooltip {
  --bs-tooltip-bg: var(--primary-hover) !important;
  content: "";
}

.wizard .form-check-input:checked {
  background-color: var(--primary) !important;
  border-color: var(--primary) !important;
}

.gj-datepicker-bootstrap button[role="right-icon"] .gj-icon,
.gj-datepicker-bootstrap button[role="right-icon"] .material-icons {
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.gj-datepicker-bootstrap button[role="right-icon"] {
  width: auto;
  padding: 10px 22px;
}

.wizard label {
  font-weight: 600;
}

.wizard label p {
  font-weight: normal;
}

.form_date_picker button {
  color: var(--primary);
  border: #ddd solid 1px !important;
}

.form_date_picker:hover .btn-outline-secondary,
.form_date_picker:focus .btn-outline-secondary {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary);
}


.custom_radio {
  position: relative;
  margin-bottom: 30px;
}

.custom_radio input[type="radio"] {
  display: none
}

.custom_radio input[type="radio"]+label {
  position: relative;
  display: block;
  cursor: pointer;
  line-height: 1em;
  -webkit-transition: all .3s ease-in-out;
  transition: all .3s ease-in-out;
  border: #ccc solid 1px;
  padding: 20px 20px 20px 50px;
  display: block;
  -webkit-border-radius: 2px;
  border-radius: 2px;
  margin-bottom: -12px;
}

.custom_radio input[type="radio"]+label i {
  color: var(--primary);
  font-size: 20px;
  position: absolute;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.custom_radio input[type="radio"]:checked+label {
  border: var(--primary) solid 1px;
  background-color: var(--info);
}

.custom_radio input[type="radio"]:checked+label i {
  color: var(--primary-hover);
}

.custom_switch2 {
  padding-right: 50px !important;
  padding-left: 0 !important;
  position: relative;
}

.custom_switch2 .form-check-input {
  width: 50px !important;
  height: 25px;
  margin-left: auto !important;
  position: absolute;
  right: 0;
  top: 0;
}

ul.generative_items_list {
  list-style: none;
  padding: 0;
  margin: 0;
  display: block;
}

ul.generative_items_list li {
  display: block;
  padding: 15px 30px;
  position: relative;
  background-color: var(--light-grey);
}

ul.generative_items_list li:nth-child(even) {
  background-color: #fefefe;
}

.generative_item {
  position: relative;
}

.delete_add_item {
  font-size: 18px;
  color: var(--danger-hover);
  text-decoration: none;
  position: absolute;
  right: -5px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}

.delete_add_item:hover {
  text-decoration: none;
}

.addmorebutton {
  font-size: 16px;
}

.addmorebutton i {
  margin-right: 5px;
}

ul.info_steps_list {
  list-style: none;
  padding: 0;
  margin: 0;
  display: block;
}

ul.info_steps_list li {
  display: block;
  padding: 7px 0;
  overflow: hidden;
  border-bottom: #ccc dashed 1px;
  position: relative;
  padding-left: 21px;
}

ul.info_steps_list li:before {
  content: "\F26A";
  font-family: bootstrap-icons;
  position: absolute;
  left: 1px;
  top: 7px;
  color: var(--body-color);
}

ul.info_steps_list li:last-child {
  border-bottom: 0;
}

ul.info_steps_list li span {
  font-weight: bold;
  margin-right: 5px;
}

label.error {
  color: red;
  font-style: italic;
  display: none;
}

input.error,
textarea.error,
select.error {
  border: 1px solid red !important;
}

.laravel-livewire-table td,
.laravel-livewire-table th {
  vertical-align: middle;
}

/* cam scanner image modal css */

#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover {
  opacity: 0.7;
}

.modal {
  display: none;
  position: fixed;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
}

.content-modal {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

.content-modal,
#caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {
    transform: scale(0)
  }

  to {
    transform: scale(1)
  }
}

.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

@media only screen and (max-width: 700px) {
  .content-modal {
    width: 100%;
  }
}
.custom-link{margin-left: 4px;text-decoration: underline;font-size: 12px;color: blue;}
.custom-link:hover{margin-left: 4px;text-decoration: underline;font-size: 12px;color: blue;}